FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 08-26-2008, 07:24 PM
James
 
Default dev-python/PyQt4

Hello,

It fails to build on one particular system:

Traceback (most recent call last):
File "configure.py", line 30, in <module>
import sipconfig
ImportError: No module named sipconfig
make: *** No targets specified and no makefile found. Stop.

* ERROR: dev-python/PyQt4-4.3.3 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 2892: Called die
* The specific snippet of code:
* emake || die "emake failed"


I see the lines about configure.py and sipconfig,
but have no idea what to do about those issues.


equery depends PyQt4
shows noting depends on this package....


Any suggestions as to unmerging it, fixing it,
or just wait a few days, sync up and see if it is
fixed?


Ideas?

James
 
Old 09-03-2008, 01:53 AM
"Pariksheet Nanda"
 
Default dev-python/PyQt4

On Tue, Aug 26, 2008 at 3:24 PM, James <wireless@tampabay.rr.com> wrote:
>
> Hello,
>
> It fails to build on one particular system:
>
> Traceback (most recent call last):
> File "configure.py", line 30, in <module>
> import sipconfig
> ImportError: No module named sipconfig
> make: *** No targets specified and no makefile found. Stop.
>
> * ERROR: dev-python/PyQt4-4.3.3 failed.
> * Call stack:
> * ebuild.sh, line 49: Called src_compile
> * environment, line 2892: Called die
> * The specific snippet of code:
> * emake || die "emake failed"
>
>
> I see the lines about configure.py and sipconfig,
> but have no idea what to do about those issues.
>
>
> equery depends PyQt4
> shows noting depends on this package....
>
>
> Any suggestions as to unmerging it, fixing it,
> or just wait a few days, sync up and see if it is
> fixed?
>
>
> Ideas?
>

$ qlist dev-python/sip
...
/usr/lib64/python2.5/site-packages/sipconfig.py
...

If you have dev-python/sip already installed you may need to revdep-rebuild.

HTH

> James
>

-Pariksheet
 

Thread Tools




All times are GMT. The time now is 05:02 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org